Skip to content

OLT Gem Port ​

5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addGemPortPOSTCreate new gem port
deleteGemPortPOSTDelete an existing gem port
editGemPortPOSTModify an existing gem port
getGemPortListGETGet gem port list
getGemPortPageGETGet gem port page

addGemPort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/add

Create new gem port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
lineProfileIdpathstringyesLine Profile ID should be a number between 0-512

Request body — application/json (required) — schema GemPortDTO

FieldTypeRequiredDescription
gemPortIdintegeryesGem port ID should be within the range of 1 to 1023
lineProfileIdintegernoThe ID of the associated Line Profile,lineProfile should be within the range of 1 to 512.
isInUsebooleannoWhether the Gem Port is in use: if it is in use, deletion is not allowed. true indicates it is in use, while false indicates it is not in use. This field should not be provided.
tcontIdintegeryesThe ID of the T-cont to which the Gem Port is bound. TcontId should be s current existing T-cont ID.
encryptstringyesWhether to enable data encryption feature. Encrypt should be a value as follows: ENABLE;DISABLE. Default value: DISABLE.
gemMappingIdarray<integer>noGem Mapping Id using the gem port should be null
json
// omada_call_operation
{
  "operationId": "addGemPort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "lineProfileId": "<lineProfileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new gem port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

deleteGemPort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/delete

Delete an existing gem port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
lineProfileIdpathstringyesLine Profile ID should be a number between 0-512

Request body — application/json (required) — schema GemPortDeleteDTO

FieldTypeRequiredDescription
idsarray<integer>yesID list
lineProfileIdintegernoThe ID of the associated Line Profile,lineProfile should be within the range of 1 to 512.
json
// omada_call_operation
{
  "operationId": "deleteGemPort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "lineProfileId": "<lineProfileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete an existing gem port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editGemPort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/edit

Modify an existing gem port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
lineProfileIdpathstringyesLine Profile ID should be a number between 0-512

Request body — application/json (required) — schema GemPortModifyDTO

FieldTypeRequiredDescription
gemPortIdintegeryesGem port ID should be within the range of 1 to 1023
lineProfileIdintegernoThe ID of the associated Line Profile,lineProfile should be within the range of 1 to 512.
tcontIdintegernoThe ID of the T-cont to which the Gem Port is bound. TcontId should be a current existing T-cont ID.
encryptstringnoWhether to enable data encryption feature. Encrypt should be a value as follows:ENABLE;DISABLE. Default value: DISABLE.
json
// omada_call_operation
{
  "operationId": "editGemPort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "lineProfileId": "<lineProfileId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing gem port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getGemPortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/list

Get gem port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
lineProfileIdpathstringyesLine Profile ID should be a number between 0-512
queryParamqueryGemPortListQueryDTOnoObject: its fields (searchKey, sorts, lineProfileId) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getGemPortList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "lineProfileId": "<lineProfileId>"
  }
}
Details, permissions and error codes

Get gem port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getGemPortPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/line/{lineProfileId}/gem-ports/page

Get gem port page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
lineProfileIdpathstringyesLine Profile ID should be a number between 0-512
queryParamqueryGemPortPageQueryDTOnoObject: its fields (searchKey, sorts, size, number, lineProfileId) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getGemPortPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>",
    "lineProfileId": "<lineProfileId>"
  }
}
Details, permissions and error codes

Get gem port page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.